=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-11-25 17:45:16 +0000
+++ drizzled/drizzled.cc	2009-11-26 20:53:43 +0000
@@ -84,12 +84,8 @@
 #ifdef HAVE_SYSENT_H
 #include <sysent.h>
 #endif
-#ifdef HAVE_PWD_H
 #include <pwd.h>				// For getpwent
-#endif
-#ifdef HAVE_GRP_H
 #include <grp.h>
-#endif
 
 #include <sys/resource.h>
 
@@ -109,9 +105,6 @@
 
 #if defined(__FreeBSD__) && defined(HAVE_IEEEFP_H)
 #include <ieeefp.h>
-#ifdef HAVE_FP_EXCEPT				// Fix type conflict
-typedef fp_except fp_except_t;
-#endif
 #endif /* __FreeBSD__ && HAVE_IEEEFP_H */
 
 #ifdef HAVE_FPU_CONTROL_H
@@ -1903,7 +1896,7 @@
    (char**) &dflt_key_cache_var.param_buff_size,
    (char**) 0,
    0, (GET_ULL),
-   REQUIRED_ARG, KEY_CACHE_SIZE, MALLOC_OVERHEAD, SIZE_T_MAX, MALLOC_OVERHEAD,
+   REQUIRED_ARG, KEY_CACHE_SIZE, MALLOC_OVERHEAD, SIZE_MAX, MALLOC_OVERHEAD,
    IO_SIZE, 0},
   {"key_cache_age_threshold", OPT_KEY_CACHE_AGE_THRESHOLD,
    N_("This characterizes the number of hits a hot block has to be untouched "

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2009-10-21 00:14:57 +0000
+++ drizzled/global.h	2009-11-26 20:53:43 +0000
@@ -30,7 +30,7 @@
 #undef _FILE_OFFSET_BITS
 #endif
 
-#include <config.h>
+#include "config.h"
 
 #if defined(__cplusplus)
 
@@ -107,16 +107,9 @@
 
 #define _REENTRANT  1  /* Threads requires reentrant code */
 
-#ifdef HAVE_LIMITS_H
 #include <limits.h>
-#endif
 
-#ifdef HAVE_SYS_TYPES_H
-#include <sys/types.h>
-#endif
-#ifdef HAVE_FCNTL_H
 #include <fcntl.h>
-#endif
 
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
@@ -220,16 +213,7 @@
 #error "please add -DSTACK_DIRECTION=1 or -1 to your CPPFLAGS"
 #endif
 
-#ifdef HAVE_FLOAT_H
 #include <float.h>
-#else
-#if !defined(FLT_MIN)
-#define FLT_MIN         ((float)1.40129846432481707e-45)
-#endif
-#if !defined(FLT_MAX)
-#define FLT_MAX         ((float)3.40282346638528860e+38)
-#endif
-#endif
 
 /* From limits.h instead */
 #ifndef DBL_MIN
@@ -238,9 +222,6 @@
 #ifndef DBL_MAX
 #define DBL_MAX    1.79769313486231470e+308
 #endif
-#ifndef SIZE_T_MAX
-#define SIZE_T_MAX ~((size_t) 0)
-#endif
 
 
 /* Define missing math constants. */

=== modified file 'm4/pandora_drizzle_build.m4'
--- m4/pandora_drizzle_build.m4	2009-11-25 17:45:16 +0000
+++ m4/pandora_drizzle_build.m4	2009-11-26 20:53:43 +0000
@@ -39,17 +39,16 @@
   AC_HEADER_SYS_WAIT
   AC_HEADER_STDBOOL
 
-  AC_CHECK_HEADERS(fcntl.h float.h fpu_control.h ieeefp.h)
-  AC_CHECK_HEADERS(limits.h pwd.h select.h linux/config.h)
-  AC_CHECK_HEADERS(sys/fpu.h utime.h sys/utime.h )
+  AC_CHECK_HEADERS(sys/fpu.h fpu_control.h ieeefp.h)
+  AC_CHECK_HEADERS(select.h sys/select.h)
+  AC_CHECK_HEADERS(utime.h sys/utime.h )
   AC_CHECK_HEADERS(synch.h sys/mman.h sys/socket.h)
-  AC_CHECK_HEADERS(termio.h termios.h sched.h alloca.h)
-  AC_CHECK_HEADERS(sys/prctl.h ieeefp.h)
+  AC_CHECK_HEADERS(sched.h)
+  AC_CHECK_HEADERS(sys/prctl.h)
   AC_CHECK_HEADERS(execinfo.h)
-  AC_CHECK_HEADERS(stdarg.h dirent.h locale.h ndir.h sys/dir.h \
-   sys/ndir.h sys/select.h \
-   sys/mman.h termcap.h termio.h asm/termbits.h grp.h \
-   paths.h)
+  AC_CHECK_HEADERS(locale.h)
+  AC_CHECK_HEADERS(termcap.h termio.h termios.h asm/termbits.h)
+  AC_CHECK_HEADERS(paths.h)
 
   
   #--------------------------------------------------------------------
@@ -60,16 +59,8 @@
   AC_CHECK_LIB(m, floor, [], AC_CHECK_LIB(m, __infinity))
   
   AC_CHECK_FUNC(setsockopt, [], [AC_CHECK_LIB(socket, setsockopt)])
-  AC_CHECK_FUNC(yp_get_default_domain, [],
-    [AC_CHECK_LIB(nsl, yp_get_default_domain)])
-  AC_CHECK_FUNC(p2open, [], [AC_CHECK_LIB(gen, p2open)])
   # This may get things to compile even if bind-8 is installed
   AC_CHECK_FUNC(bind, [], [AC_CHECK_LIB(bind, bind)])
-  # Check if crypt() exists in libc or libcrypt, sets LIBS if needed
-  AC_SEARCH_LIBS(crypt, crypt, AC_DEFINE(HAVE_CRYPT, 1, [crypt]))
-  
-  # Check rt for aio_read
-  AC_CHECK_LIB(rt, aio_read)
   
   # For the sched_yield() function on Solaris
   AC_CHECK_FUNC(sched_yield, [],
@@ -80,17 +71,11 @@
     AC_CHECK_FUNC(gtty, [], [AC_CHECK_LIB(compat, gtty)])
   ])
   
-  AC_CHECK_TYPES([fp_except], [], [], [
-    #include <sys/types.h>
-    #include <ieeefp.h>
-  ])
-
   AC_CHECK_HEADERS([curses.h term.h],[],[],[[
     #ifdef HAVE_CURSES_H
     # include <curses.h>
     #endif
   ]])
-  AC_CHECK_TYPES([sigset_t, off_t], [], [], [#include <sys/types.h>])
   AC_CHECK_TYPES([ulong])
 
   AC_LANG_PUSH([C++])

=== modified file 'mysys/mf_pack.cc'
--- mysys/mf_pack.cc	2009-11-25 08:34:45 +0000
+++ mysys/mf_pack.cc	2009-11-26 20:53:43 +0000
@@ -14,11 +14,11 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 #include "mysys/mysys_priv.h"
+
+#include <pwd.h>
+
 #include <mystrings/m_string.h>
 #include "my_static.h"
-#ifdef HAVE_PWD_H
-#include <pwd.h>
-#endif
 
 static char * expand_tilde(char * *path);
 static size_t system_filename(char * to, const char *from);

=== modified file 'mysys/my_lib.cc'
--- mysys/my_lib.cc	2009-10-08 12:39:27 +0000
+++ mysys/my_lib.cc	2009-11-26 20:53:43 +0000
@@ -19,20 +19,7 @@
 #include	<mystrings/m_string.h>
 #include	"mysys/mysys_err.h"
 #include	"my_dir.h"	/* Structs used by my_dir,includes sys/types */
-#if defined(HAVE_DIRENT_H)
-# include <dirent.h>
-#else
-# define dirent direct
-# if defined(HAVE_SYS_NDIR_H)
-#  include <sys/ndir.h>
-# endif
-# if defined(HAVE_SYS_DIR_H)
-#  include <sys/dir.h>
-# endif
-# if defined(HAVE_NDIR_H)
-#  include <ndir.h>
-# endif
-#endif
+#include <dirent.h>
 
 #if defined(HAVE_READDIR_R)
 #define READDIR(A,B,C) ((errno=readdir_r(A,B,&C)) != 0 || !C)

=== modified file 'plugin/archive/archive_performance.cc'
--- plugin/archive/archive_performance.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/archive_performance.cc	2009-11-26 20:53:43 +0000
@@ -69,7 +69,7 @@
     azio_stream reader_handle;
 
     if (method)
-      printf("Performing aio_read() test\n");
+      printf("Performing azio_read() test\n");
     else
       printf("Performing read() test\n");
 

=== modified file 'plugin/archive/azio.cc'
--- plugin/archive/azio.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/azio.cc	2009-11-26 20:53:43 +0000
@@ -1072,7 +1072,7 @@
     }
     s->pos+= s->stream.avail_in;
     s->inbuf= (Byte *)s->container.buffer;
-    /* We only aio_read when we know there is more data to be read */
+    /* We only azio_read when we know there is more data to be read */
     if (s->pos >= s->check_point)
     {
       s->aio_inited= 0;

